import { declareRequest } from "@cqsjjb/jjb-dva-runtime";

export const fireRescueTeamInfo = declareRequest(
  "biFullLoading",
  `Get > /fireResource/rescueTeam/{id}`,
);
export const fireControlRoomInfo = declareRequest(
  "biFullLoading",
  `Get > /fireResource/controlRoom/{id}`,
);
export const firePumpRoomInfo = declareRequest(
  "biFullLoading",
  `Get > /fireResource/pumpRoom/{id}`,
);
export const fireWaterSourceInfo = declareRequest(
  "biFullLoading",
  `Get > /fireResource/waterSource/{id}`,
);
export const firePointInfo = declareRequest(
  "biFullLoading",
  `Get > /fireCheck/firePoint/getInfoById/{id}`,
);
export const sensorDeviceInfo = declareRequest(
  "biFullLoading",
  `Get > /iotalarm/sensorDevice/{id}`,
);
export const eightWorkInfo = declareRequest(
  "biFullLoading",
  `Get > /eightwork/eightworkInfo/{id}`,
);
export const eightWorkSupplementaryInfo = declareRequest(
  "biFullLoading",
  `Post > @/eightwork/eightworkSupplementaryInfo/list`,
);
export const eightWorkMeasuresLogs = declareRequest(
  "biFullLoading",
  `Get > /eightwork/measuresLogs/listAll/{workId}`,
);
export const keyProjectInfo = declareRequest(
  "biFullLoading",
  "Get > /keyProject/keyProject/{id}",
);
export const getFixedCameraPlayUrl = declareRequest(
  "biFullLoading",
  "Get > /videopatrol/fixedCamera/getPlayUrl",
);
